论坛模块
类路径:ForumController
前缀:/typechoForum
1. post
接口路径:GET/POST /typechoForum/post
权限:需要登录(普通用户及以上)
接口说明:发布帖子
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| title | String | 否 | - | |
| section | Integer | 否 | 0 | |
| text | String | 否 | - | |
| token | String | 否 | - | |
| isSpace | Integer | 否 | 0 | |
| isMd | Integer | 否 | 1 | |
| isDraft | Integer | 否 | 0 | |
| verifyCode | String | 否 | - | |
| isPaid | Integer | 否 | 0 | |
| shopPice | String | 否 | 0.00 | |
| shopText | String | 否 | - | |
| shopDiscount | String | 否 | 1.0 | |
| unlockMode | Integer | 否 | 0 | |
| adNum | Integer | 否 | 1 |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
2. edit
接口路径:GET/POST /typechoForum/edit
权限:需要登录(普通用户及以上)
接口说明:编辑帖子
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| title | String | 否 | - | |
| text | String | 否 | - | |
| token | String | 否 | - | |
| isDraft | Integer | 否 | 0 | |
| isMd | Integer | 否 | 1 | |
| isPaid | Integer | 否 | 0 | |
| shopPice | String | 否 | 0.00 | |
| shopText | String | 否 | - | |
| shopDiscount | String | 否 | 1.0 | |
| unlockMode | Integer | 否 | 0 | |
| adNum | Integer | 否 | 1 |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.editForum() (https://api.ruletree.club/typechoForum/edit)
3. draftList
接口路径:GET/POST /typechoForum/draftList
权限:需要登录(普通用户及以上)
接口说明:草稿列表
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| page | Integer | 否 | 1 | |
| limit | Integer | 否 | 15 | |
| order | String | 否 | created | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.draftList() (https://api.ruletree.club/typechoForum/draftList)
4. draftDelete
接口路径:GET/POST /typechoForum/draftDelete
权限:需要登录(普通用户及以上)
接口说明:草稿删除
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.draftDelete() (https://api.ruletree.club/typechoForum/draftDelete)
5. postList
接口路径:GET/POST /typechoForum/postList
权限:公开接口;但当系统配置 isLogin=1 时会强制要求登录
接口说明:帖子列表
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| searchParams | String(JSON 字符串,需后端解析) | 否 | - | JSON 字符串,需后端解析 |
| page | Integer | 否 | 1 | |
| limit | Integer | 否 | 15 | |
| searchKey | String | 否 | - | |
| order | String | 否 | created | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postList() (https://api.ruletree.club/typechoForum/postList)
6. postInfo
接口路径:GET/POST /typechoForum/postInfo
权限:公开接口;但当系统配置 isLogin=1 时会强制要求登录
接口说明:获取帖子详情
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postInfoForum() (https://api.ruletree.club/typechoForum/postInfo)
7. postTop
接口路径:GET/POST /typechoForum/postTop
权限:需要登录(普通用户及以上)
接口说明:帖子置顶
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| type | Integer | 否 | 1 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postTop() (https://api.ruletree.club/typechoForum/postTop)
8. postRecommend
接口路径:GET/POST /typechoForum/postRecommend
权限:需要登录(普通用户及以上)
接口说明:帖子加精
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| type | Integer | 否 | 1 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postRecommend() (https://api.ruletree.club/typechoForum/postRecommend)
9. postSwiper
接口路径:GET/POST /typechoForum/postSwiper
权限:需要登录(普通用户及以上)
接口说明:帖子轮播(兼容旧版APP,后续新版不通过此渠道)
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| type | Integer | 否 | 1 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postSwiper() (https://api.ruletree.club/typechoForum/postSwiper)
10. postDelete
接口路径:GET/POST /typechoForum/postDelete
权限:需要登录(普通用户及以上)
接口说明:帖子删除
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postDelete() (https://api.ruletree.club/typechoForum/postDelete)
11. postTransfer
接口路径:GET/POST /typechoForum/postTransfer
权限:需要登录(普通用户及以上)
接口说明:帖子移动
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| sectionid | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postTransfer() (https://api.ruletree.club/typechoForum/postTransfer)
12. postReview
接口路径:GET/POST /typechoForum/postReview
权限:需要登录(普通用户及以上)
接口说明:帖子审核
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| type | Integer | 否 | 1 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postReview() (https://api.ruletree.club/typechoForum/postReview)
13. postLock
接口路径:GET/POST /typechoForum/postLock
权限:需要登录(普通用户及以上)
接口说明:帖子锁定&解锁
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| type | Integer | 否 | 1 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postLock() (https://api.ruletree.club/typechoForum/postLock)
14. spaceLikes
接口路径:GET/POST /typechoForum/postLikes
权限:需要登录(普通用户及以上)
接口说明:帖子点赞
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postLikes() (https://api.ruletree.club/typechoForum/postLikes)
15. postReward
接口路径:GET/POST /typechoForum/postReward
权限:需要登录(普通用户及以上)
接口说明:帖子打赏
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| num | Integer | 否 | 1 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postReward() (https://api.ruletree.club/typechoForum/postReward)
16. postRewardList
接口路径:GET/POST /typechoForum/postRewardList
权限:公开接口;但当系统配置 isLogin=1 时会强制要求登录
接口说明:帖子打赏者列表
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| page | Integer | 否 | 1 | |
| limit | Integer | 否 | 15 | |
| id | Integer | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.rewardList() (https://api.ruletree.club/typechoContents/rewardList)
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postReward() (https://api.ruletree.club/typechoForum/postReward)
17. postMark
接口路径:GET/POST /typechoForum/postMark
权限:需要登录(普通用户及以上)
接口说明:帖子收藏
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| type | Integer | 否 | 1 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postMark() (https://api.ruletree.club/typechoForum/postMark)
18. postMarkList
接口路径:GET/POST /typechoForum/postMarkList
权限:需要登录(普通用户及以上)
接口说明:帖子收藏列表
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| page | Integer | 否 | 1 | |
| limit | Integer | 否 | 15 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postMark() (https://api.ruletree.club/typechoForum/postMark)
- 前端调用:this.$API.postMarkList() (https://api.ruletree.club/typechoForum/postMarkList)
19. postComments
接口路径:GET/POST /typechoForum/postComments
权限:需要登录(普通用户及以上)
接口说明:帖子评论
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| postid | Integer | 否 | - | |
| text | String | 否 | - | |
| token | String | 否 | - | |
| parent | Integer | 否 | 0 | |
| verifyCode | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postComments() (https://api.ruletree.club/typechoForum/postComments)
20. postCommentDelete
接口路径:GET/POST /typechoForum/postCommentDelete
权限:需要登录(普通用户及以上)
接口说明:帖子评论删除
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postCommentDelete() (https://api.ruletree.club/typechoForum/postCommentDelete)
21. spaceReview
接口路径:GET/POST /typechoForum/postCommentReview
权限:需要登录(普通用户及以上)
接口说明:帖子评论审核
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| type | Integer | 否 | 1 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postCommentReview() (https://api.ruletree.club/typechoForum/postCommentReview)
22. postCommentLike
接口路径:GET/POST /typechoForum/postCommentLike
权限:需要登录(普通用户及以上)
接口说明:帖子评论点赞
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postCommentLike() (https://api.ruletree.club/typechoForum/postCommentLike)
23. postCommentList
接口路径:GET/POST /typechoForum/postCommentList
权限:公开接口;但当系统配置 isLogin=1 时会强制要求登录
接口说明:动态评论列表
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| searchParams | String(JSON 字符串,需后端解析) | 否 | - | JSON 字符串,需后端解析 |
| page | Integer | 否 | 1 | |
| limit | Integer | 否 | 15 | |
| searchKey | String | 否 | - | |
| order | String | 否 | created | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.postForum() (https://api.ruletree.club/typechoForum/post)
- 前端调用:this.$API.postCommentList() (https://api.ruletree.club/typechoForum/postCommentList)
24. sectionList
接口路径:GET/POST /typechoForum/sectionList
权限:公开接口;但当系统配置 isLogin=1 时会强制要求登录
接口说明:版块列表
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| searchParams | String(JSON 字符串,需后端解析) | 否 | - | JSON 字符串,需后端解析 |
| page | Integer | 否 | 1 | |
| limit | Integer | 否 | 15 | |
| searchKey | String | 否 | - | |
| order | String | 否 | order | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.sectionList() (https://api.ruletree.club/typechoForum/sectionList)
25. addSection
接口路径:GET/POST /typechoForum/addSection
权限:需要登录(普通用户及以上)
接口说明:新增版块
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| name | String | 否 | - | |
| pic | String | 否 | - | |
| bg | String | 否 | - | |
| type | String | 否 | section | |
| text | String | 否 | - | |
| slug | String | 否 | - | |
| parent | Integer | 否 | 0 | |
| restrict | Integer | 否 | 0 | |
| order | Integer | 否 | 0 | |
| price | BigDecimal | 否 | 0 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.addSection() (https://api.ruletree.club/typechoForum/addSection)
26. editSection
接口路径:GET/POST /typechoForum/editSection
权限:需要登录(普通用户及以上)
接口说明:编辑版块
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| name | String | 否 | - | |
| pic | String | 否 | - | |
| bg | String | 否 | - | |
| type | String | 否 | section | |
| text | String | 否 | - | |
| slug | String | 否 | - | |
| parent | Integer | 否 | 0 | |
| restrict | Integer | 否 | 0 | |
| order | Integer | 否 | 0 | |
| price | BigDecimal | 否 | 0 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.editSection() (https://api.ruletree.club/typechoForum/editSection)
- 前端调用:this.$API.editForum() (https://api.ruletree.club/typechoForum/edit)
27. deleteSection
接口路径:GET/POST /typechoForum/deleteSection
权限:需要登录(普通用户及以上)
接口说明:删除版块
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.deleteSection() (https://api.ruletree.club/typechoForum/deleteSection)
28. sectionFollow
接口路径:GET/POST /typechoForum/sectionFollow
权限:需要登录(普通用户及以上)
接口说明:关注版块
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| sectionId | Integer | 否 | 1 | |
| token | String | 否 | - | |
| type | Integer | 否 | 1 |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.follow() (https://api.ruletree.club/typechoUsers/follow)
- 前端调用:this.$API.sectionFollow() (https://api.ruletree.club/typechoForum/sectionFollow)
29. sectionFollow
接口路径:GET/POST /typechoForum/mySectionFollow
权限:需要登录(普通用户及以上)
接口说明:关注版块
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.follow() (https://api.ruletree.club/typechoUsers/follow)
- 前端调用:this.$API.sectionFollow() (https://api.ruletree.club/typechoForum/sectionFollow)
30. sectionClock
接口路径:GET/POST /typechoForum/sectionClock
权限:需要登录(普通用户及以上)
接口说明:版块签到
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| sectionId | Integer | 否 | 1 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.sectionClock() (https://api.ruletree.club/typechoForum/sectionClock)
31. sectionClockList
接口路径:GET/POST /typechoForum/sectionClockList
权限:公开接口;但当系统配置 isLogin=1 时会强制要求登录
接口说明:今日签到前100
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| sectionId | Integer | 否 | 1 |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.sectionClock() (https://api.ruletree.club/typechoForum/sectionClock)
- 前端调用:this.$API.sectionClockList() (https://api.ruletree.club/typechoForum/sectionClockList)
32. sectionInfo
接口路径:GET/POST /typechoForum/sectionRecommend
权限:需要登录(普通用户及以上)
接口说明:版块推荐
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| sectionId | Integer | 否 | - | |
| type | Integer | 否 | 0 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.sectionRecommend() (https://api.ruletree.club/typechoForum/sectionRecommend)
33. sectionInfo
接口路径:GET/POST /typechoForum/sectionInfo
权限:公开接口;但当系统配置 isLogin=1 时会强制要求登录
接口说明:版块信息
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.sectionInfo() (https://api.ruletree.club/typechoForum/sectionInfo)
34. buySection
接口路径:GET/POST /typechoForum/buySection
权限:需要登录(普通用户及以上)
接口说明:购买付费圈子
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| sectionId | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.buySection() (https://api.ruletree.club/typechoForum/buySection)
35. userPurview
接口路径:GET/POST /typechoForum/userPurview
权限:公开接口;但当系统配置 isLogin=1 时会强制要求登录
接口说明:查询用户是否为版块的版主
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| uid | Integer | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.userPurview() (https://api.ruletree.club/typechoForum/userPurview)
36. setModerator
接口路径:GET/POST /typechoForum/setModerator
权限:需要登录(普通用户及以上)
接口说明:设置版块权限
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| sectionId | Integer | 否 | - | |
| uid | Integer | 否 | - | |
| purview | Integer | 否 | 0 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.setModerator() (https://api.ruletree.club/typechoForum/setModerator)
37. deleteModerator
接口路径:GET/POST /typechoForum/deleteModerator
权限:需要登录(普通用户及以上)
接口说明:撤销用户权限
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| id | Integer | 否 | - | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.deleteModerator() (https://api.ruletree.club/typechoForum/deleteModerator)
38. followPosts
接口路径:GET/POST /typechoForum/followPosts
权限:需要登录(普通用户及以上)
接口说明:我关注的人的帖子
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| token | String | 否 | - | |
| page | Integer | 否 | 1 | |
| limit | Integer | 否 | 15 |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
前端调用参考:
- 前端调用:this.$API.follow() (https://api.ruletree.club/typechoUsers/follow)
- 前端调用:this.$API.followPosts() (https://api.ruletree.club/typechoForum/followPosts)
39. createSection
接口路径:GET/POST /typechoForum/createSection
权限:需要登录(普通用户及以上)
接口说明:用户申请板块
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| name | String | 否 | - | |
| pic | String | 否 | - | |
| bg | String | 否 | - | |
| type | String | 否 | section | |
| text | String | 否 | - | |
| slug | String | 否 | - | |
| parent | Integer | 否 | 0 | |
| restrict | Integer | 否 | 0 | |
| order | Integer | 否 | 0 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}
40. sectionReview
接口路径:GET/POST /typechoForum/sectionReview
权限:需要登录(普通用户及以上)
接口说明:版块审核
请求参数:
| 参数名 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| sectionId | Integer | 否 | - | |
| reason | String | 否 | - | |
| type | Integer | 否 | 0 | |
| token | String | 否 | - |
响应说明:
{
"code": 1,
"msg": "",
"data": ...
}